## interaudiosrc interaudiosrc |

## Properties

gchar * | channel | Read / Write
guint64 | buffer-time | Read / Write
guint64 | latency-time | Read / Write
guint64 | period-time | Read / Write

## Types and Values

struct | GstInterAudioSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstInterAudioSrc

## Description

## Synopsis

### Element Information

plugin | inter
author | David Schleef <ds@schleef.org>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string)interleaved

## Functions

## Types and Values

### struct GstInterAudioSrc

    struct GstInterAudioSrc;

## Property Details

### The `“channel”` property

      “channel”                  gchar *

Channel name to match inter src and sink elements.

Flags: Read / Write

Default value: "default"

### The `“buffer-time”` property

      “buffer-time”              guint64

Size of audio buffer.

Flags: Read / Write

Allowed values: >= 1

Default value: 1000000000

### The `“latency-time”` property

      “latency-time”             guint64

Latency as reported by the source.

Flags: Read / Write

Allowed values: >= 1

Default value: 100000000

### The `“period-time”` property

      “period-time”              guint64

The minimum amount of data to read in each iteration.

Flags: Read / Write

Allowed values: >= 1

Default value: 25000000